Page MenuHomePhabricator

IE6-8 compatibility
Closed, DeclinedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/421

Splitting from the main IE ticket ( #230 ).

  • Fix JS errors
  • Create PNG fallbacks for our icons and use the appropriate LESS mixin(s)

Event Timeline

MingleTerminator raised the priority of this task from to Low.Dec 8 2014, 5:04 PM
MingleTerminator added a project: Multimedia.
In mingle on 2014-04-09 at 22:27:12, @Tgr wrote:

Attempted fix for IE6-8: https://gerrit.wikimedia.org/r/124365
Depends on https://gerrit.wikimedia.org/r/124360
(not sure when that gets applied to core, there is a temporary patch for testing: https://gerrit.wikimedia.org/r/124363 ).

In mingle on 2014-04-10 at 07:43:20, @Gilles wrote:

Marking as blocked, it was brought up at the scrum of scrums, but the oojs patch doesn't seem to be moving.

In mingle on 2014-04-10 at 11:31:29, @Gilles wrote:

Pau brought up the fact that IE 8 and below don't support SVG, which means that we'll need to generate PNG equivalents for each SVG icon and use Mediawiki.ui' LESS mixin called .background-image-svg(@SVG, @fallback)

Tgr added a subscriber: Tgr.

IE 6-7 support was dropped since then. Not sure if this is still relevant.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:55 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 5:55 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdforrester-WMF closed this task as Declined.Apr 27 2016, 8:39 PM

IE8 is a non-JS browser now in MediaWiki, so this is no longer actionable.